﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 작업 객체 기본 제한 정보
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct JOB_OBJECT_BASIC_LIMIT_INFORMATION
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 프로세스당 사용자 시간 제한
    /// </summary>
    public long PerProcessUserTimeLimit;

    /// <summary>
    /// 작업당 사용자 시간 제한
    /// </summary>
    public long PerJobUserTimeLimit;

    /// <summary>
    /// 제한 플래그
    /// </summary>
    public JobObjectLimit LimitFlags;

    /// <summary>
    /// 최소 작업 세트 크기
    /// </summary>
    public UIntPtr MinimumWorkingSetSize;

    /// <summary>
    /// 최대 작업 세트 크기
    /// </summary>
    public UIntPtr MaximumWorkingSetSize;

    /// <summary>
    /// 액티브 프로세스 제한
    /// </summary>
    public uint ActiveProcessLimit;

    /// <summary>
    /// 친화도
    /// </summary>
    public long Affinity;

    /// <summary>
    /// 우선 순위 클래스
    /// </summary>
    public uint PriorityClass;

    /// <summary>
    /// 스케쥴링 클래스
    /// </summary>
    public uint SchedulingClass;

    #endregion
}