﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 작업 객체 확장 제한 정보
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct JOB_OBJECT_EXTENDED_LIMIT_INFORMATION
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 기본 제한 정보
    /// </summary>
    public JOB_OBJECT_BASIC_LIMIT_INFORMATION BasicLimitInformation;

    /// <summary>
    /// IO 정보
    /// </summary>
    public IO_COUNTERS IOInformation;

    /// <summary>
    /// 프로세스 메모리 제한
    /// </summary>
    public UIntPtr ProcessMemoryLimit;

    /// <summary>
    /// 작업 메모리 제한
    /// </summary>
    public UIntPtr JobMemoryLimit;

    /// <summary>
    /// 피크 프로세스 사용 메모리
    /// </summary>
    public UIntPtr PeakProcessMemoryUsed;

    /// <summary>
    /// 피크 작업 사용 메모리
    /// </summary>
    public UIntPtr PeakJobMemoryUsed;

    #endregion
}